<?php
session_start();
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
include("phpmnu_fun.php");
//
if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
//++
$IdUsu=$_SESSION['SYS_USER_ID'];
include("deos_ventas_xfecha_bx.php");
$AT=gs("at","usuarios","id_usuario=$IdUsu");
?>
<html >
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Reporte de ventas entre fechas</title>
<!----------------------------------------->
<?php AddJs(); ?>
<script type="text/javascript" src="ja/funciones.js"></script>

<!----------------------------------------->
<link rel="stylesheet" type="text/css" href="css/estiloss.css"  />
<link rel="stylesheet" type="text/css" href="css/basic.css"  />
<link rel="stylesheet" type="text/css" href="css/mnu.css"  />
<!----------------------------------------->
<style type="text/css">
.tableFixHead          { overflow-y: auto; }
.tableFixHead thead th { position: sticky; top: 0; }

table  {border-collapse:collapse;width:100%;}
th, td {padding: 3px 3px;}
th     {background:#666;}

.cF {height:600px;width:1250px;position:relative;top:0px}
.mM {height:34px;width:1250px;position:relative;top:0px;background-color:#09C; z-index:500;}
</style>

<!----------------------------------------->
<script>
$(document).ready(function(){  
   Inicializar();
   jF("CboAlm");
});

function fGenPDF(){	
	var CboAlm=document.getElementById("CboAlm").value;
	if(CboAlm=="TODOS"){
		alert("Seleccione un Almacen");
		document.getElementById("CboAlm").focus();
		return;
	}
	document.getElementById("TxtAc").value="GEN_PDF";
	document.getElementById("Frm").submit();
}

$(document).keydown(function(e){
	var AT=gv("TxtAT");

	if(e.which==66 && e.altKey){
		if(AT=="1"){	
		document.getElementById("CmdB").click();
		return;
		}
	}

	if(e.which==86 && e.altKey){
		if(AT=="1"){
		document.getElementById("CmdZ").click();
		return;
		}
	}
  
});
</script>

<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<!----------------------------------------->

<body  <?php echo $LStrMsg;?>  >
<div align="center">

<div class="mM" align="left" style="font-size:12px">
<?php
//$HTM=file_get_contents("http://inversionessounduniversal.com/ventas/phpmnu.php?USER_ID=$IdUsu");
echo GEN_MENU(vbval(V($_SESSION['SYS_USER_ID'])));
?>
</div>

<div Id="DivFRM"  class="cF" style="background-color:#FFFFFF;" >
<form id="Frm" name="Frm" method="post" action="rep_ventas_ef.php" 
autocomplete="off"
style="margin:0px; padding:0px; display:inline;" onSubmit="return false;">

<!----------------------------------------->
<div id="DivT" class="dT"  style="width:1250px;">
<img src="b.png" class="iT" />
<div class="tT">REPORTE DE VENTAS ENTRE FECHAS</div>
</div>

<!----------------------------------------->

<div class="s1" style="left: 35px; top: 121px; width: 102px;">
ALMACEN</div>
<select name="CboAlm" id="CboAlm" 
class="lt" style="left: 35px; top: 138px; width: 212px" 
tabindex="<?php echo ++$TI;?>">
<?php 
	if($IdUsu>=1  && V($_SESSION['SYS_USER_ALM'])!="%"){
		echo ListALM($StrAlm); 
	}else{
    	echo FCBO("alm_nombre","almacenes","id_almacen>0",$StrAlm,"S","N");
    }
?>
</select>

<div class="s1" style="left: 256px; top: 121px; width: 102px;">
COMPROBANTE</div>
<select name="CboCom" id="CboCom"
class="lt" style="left: 256px; top: 138px; width: 192px;"
tabindex="<?php echo ++$TI;?>">
<?php 
	echo FCBO_("com_nombre",
			   "comprobantes",
			   "id_comprobante>0 AND com_nombre IN ('NOTA DE VENTA')",$StrCom,"S","")?> 
</select>

<div class="s1" style="left: 457px; top: 121px; width: 63px;">
SERIE</div>
<input name="TxtSer" type="text" id="TxtSer" 
class="lt" style="left: 455px; top: 138px; width: 87px;"
value="<?php echo $StrSer;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 553px; top: 121px; width: 67px;">
DESDE</div>
<input name="TxtDex" type="text" id="TxtDex" 
class="fe" style="left: 553px; top: 138px; width: 90px;" 
value="<?php echo $StrDex;?>"
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 658px; top: 121px; width: 67px;">
HASTA</div>
<input name="TxtHax" type="text" id="TxtHax" 
class="fe" style="left: 654px; top: 138px; width: 90px;" 
value="<?php echo $StrHax;?>"
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 756px; top: 121px; width: 87px;">
TIPO DE PAGO</div>
<select name="CboTdp" id="CboTdp" 
class="lt" style="left: 754px; top: 138px; width: 105px" 
tabindex="<?php echo ++$TI;?>">
<?php echo FCBO_("tipp_nombre","tipos_pagos","",$StrTdp,"S","N");?>
</select>

<!----------------------------------------->
<div id="DivBtn" align="left" style="position:absolute; left: 35px; top: 71px; width: 551px; height: 26px;">
<input name="CmdB" type="button" id="CmdB" class="btm"
value="Buscar" onClick="fFiltrar();"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdPDF" type="button" id="CmdPDF" class="btm" 
value="Generar PDF" onClick="fGenPDF();" style="display:none"
tabindex="<?php echo ++$TI;?>" />

<input name="CmdB" type="button" id="CmdB" class="btm" 
value="Imprimir" onClick="fPDF();"  style="display:none"
tabindex="<?php echo ++$TI;?>"/>
</div>

<div  style="position:absolute; top:164px; left:35px; height:27px; background-color:#FFF; width: 1180px;">
<table width="100%" style="font-family:Arial, Helvetica, sans-serif; font-size:11px" border="0">
<tr>
<td align="center">
	<?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?>
</td>
</tr>
</table>
</div> 
<!----------------------------------------->

<div class="tableFixHead" style="position: absolute; left: 35px; top: 194px; width: 1180px; height: 378px; overflow:auto; border:solid 1px #363636">
<table id="Exportar_a_Excel" width="100%" style="font-family:Arial, Helvetica, sans-serif; font-size:11px;">
<thead>
<tr>
<th width="167" style="text-align:left; background:#999">ALMACEN</th>
<th width="140" style="text-align:left; background:#999">COMPROBANTE</th>
<th width="149"  style="text-align:left; background:#999">SERIE-NUMERO</th>
<th width="103"  style="text-align:left; background:#999">FECHA</th>
<th width="502"  style="text-align:left; background:#999">CLIENTE</th>
<th width="89" style="text-align:right; background:#999">TOTAL</th>
</tr>
</thead>
<tbody>

<?php	
    $TOTAL=0;
	$i=0; 
	//			  	
    $s="SELECT ID,ALM,COM,CONCAT(SER,'-',NUM),DATE_FORMAT(FEC,'%d-%m-%y'),CLI,TOT
         FROM vventas 
         WHERE $w 
		 ORDER BY ALM,COM,ISER,INUM,FEC,CLI ";
	//	
    $result = grs($s);				
    while ($row = $result->fetch_row()){
		$i++;
		$CSS="";
		if($i%2==0){
			$CSS=" style=\"background-color:#E2E2E2\" ";
		}
		?>	
		<tr <?php echo $CSS;?>>
		<!----------------------------------------------->
		<td><?php echo $row[1];?></td>  
		<td><?php echo $row[2];?></td>
		<td>'<?php echo $row[3];?></td>
		<td style="text-align:left;"><?php echo $row[4];?></td>
		<td><?php echo $row[5];?></td> 
		<td style="text-align:right"><?php echo NF2($row[6],1);?></td>
		<!----------------------------------------------->
		</tr>
		<?php
        $TOTAL=$TOTAL + $row[6];
    }

?>		  
</tbody>
</table>
</div>

<div class="s1" style="left: 1003px; top:577px; width: 92px;">
<b>TOTAL :</b></div>

<div class="s1" style="left: 1101px; top:577px; width: 113px; text-align:right">
<b><?php echo  NF2($TOTAL,2);?></b></div>

<!----------------------------------------->    
<?php include("ocultos.php");?>

</form>


<form action="ficheroExcel.php" 
    method="post" target="_blank" id="FormularioExportacion" >
    
    <div style="position: absolute; left: 314px; top: 71px; width: 45px; height: 15px;">  
    <input name="" type="button" class="botonExcel btm" value="Exportar"  />
    <input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
    </div>
</form>

<?php
if($StrCmd=="GEN_PDF"){
	$_PDF=GEN_PDF($w,$StrAlm,$StrCom,$StrSer,$StrDex,$StrHax,$StrTdp);
	$StrDESCARGAR=$_PDF;
}

function GEN_PDF($w,$StrAlm,$StrCom,$StrSer,$StrDex,$StrHax,$StrTdp){
$_CxL=90;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"REPORTE DE VENTAS ENTRE FECHAS",0,1);	
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------

if(strlen($StrAlm)>0){
$_ENC=vbl("ALMACEN".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrAlm.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrCom)>0){
$_ENC=vbl("COMPROBANTE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrCom.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrSer)>0){
$_ENC=vbl("SERIE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrSer.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDex)>0){
$_ENC=vbl("DESDE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrDex.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrHax)>0){
$_ENC=vbl("HASTA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrHax.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrTdp)>0){
$_ENC=vbl("TIPO DE PAGO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrTdp.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}
$pdf->Cell(0,4,"",0,1);	

//------------------------------------------
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);
$_ENC=vbl("ALMACEN".vbfill(" ",18),18);
$_ENC=$_ENC." ".vbl("COMPROBANTE".vbfill(" ",11),11);
$_ENC=$_ENC." ".vbl("NUMERO".vbfill(" ",10),10);
$_ENC=$_ENC." ".vbl("FECHA".vbfill(" ",8),8);
$_ENC=$_ENC." ".vbl("CLIENTE".vbfill(" ",30),30);
$_ENC=$_ENC." ".vbr(vbfill(" ",8)."TOTAL",8);

$pdf->Cell(0,4,$_ENC,0,1);	
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	
//
$s="SELECT ID,ALM,COM,CONCAT(SER,'-',NUM),DATE_FORMAT(FEC,'%d-%m-%y'),CLI,TOT
FROM vventas 
WHERE $w ORDER BY ALM,COM,ISER,INUM,FEC,CLI ";

$result = grs($s);
while ($row = $result->fetch_row()){
	$_ENC=vbl($row[1].vbfill(" ",18),18);
	$_ENC=$_ENC." ".vbl($row[2].vbfill(" ",11),11);
	$_ENC=$_ENC." ".vbl($row[3].vbfill(" ",10),10);
	$_ENC=$_ENC." ".vbl($row[4].vbfill(" ",8),8);
	$_ENC=$_ENC." ".vbl($row[5].vbfill(" ",30),30);
	$_ENC=$_ENC." ".vbr(vbfill(" ",8).NF2($row[6],1),8);
	$pdf->Cell(0,4,$_ENC,0,1);	
	$TOT=$TOT+$row[6];
}
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	

$_TI=vbr(vbfill(" ",75)."TOTAL :",75);
$_TD=vbr(vbfill(" ",14).NF2($TOT,1),14);
$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	

$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="Ventas entre Fechas.pdf";
$pdf->Output($PDF_NAME);		
return $PDF_NAME;
}
?>

<?php
if(strlen($StrDESCARGAR)>0){
echo "<div id=\"layer51\" 
		style=\"position:absolute; left: 223px; top: 102px; 
		width: 88px; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"Estilo2\"> ";
echo " <a href=\"$StrDESCARGAR\" download>Desc.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>

</div>
</div>
</body>
</html>
